Create chat completion
curl --request POST \
--url https://api.siray.ai/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"max_tokens": 128000,
"messages": [
{
"content": "example_value",
"role": "system"
}
],
"model": "openai/gpt-6-astra",
"stream": false
}
'import requests
url = "https://api.siray.ai/v1/chat/completions"
payload = {
"max_tokens": 128000,
"messages": [
{
"content": "example_value",
"role": "system"
}
],
"model": "openai/gpt-6-astra",
"stream": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
max_tokens: 128000,
messages: [{content: 'example_value', role: 'system'}],
model: 'openai/gpt-6-astra',
stream: false
})
};
fetch('https://api.siray.ai/v1/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"choices": [
{
"index": 123,
"delta": {
"content": "<string>",
"reasoning": "<string>",
"reasoning_content": "<string>",
"role": "system",
"tool_calls": [
{
"function": {
"arguments": "<string>",
"description": "<string>",
"name": "<string>",
"parameters": "<unknown>"
},
"id": "<string>",
"index": 123,
"type": "<unknown>"
}
]
},
"finish_reason": "stop",
"logprobs": "<unknown>"
}
],
"created": 123,
"id": "<string>",
"model": "<string>",
"object": "<string>",
"system_fingerprint": "<string>",
"usage": {
"completion_tokens": 123,
"completion_tokens_details": {
"audio_tokens": 123,
"reasoning_tokens": 123,
"text_tokens": 123
},
"input_tokens": 123,
"output_tokens": 123,
"prompt_tokens": 123,
"prompt_tokens_details": {
"audio_tokens": 123,
"cached_tokens": 123,
"image_tokens": 123,
"text_tokens": 123,
"cache_write_tokens": 123,
"cached_creation_tokens": 123
},
"total_tokens": 123,
"input_tokens_details": {
"audio_tokens": 123,
"cached_tokens": 123,
"image_tokens": 123,
"text_tokens": 123,
"cache_write_tokens": 123,
"cached_creation_tokens": 123
},
"prompt_cache_hit_tokens": 123
}
}OpenAI
GPT 6 Astra
POST
/
v1
/
chat
/
completions
Create chat completion
Authorizations
Bearer authentication using API key
Body
application/json
Request payload
OpenAI-compatible chat completions API request format
Array of conversation messages with roles
Minimum array length:
1Show child attributes
Show child attributes
Model name to use for the request
Available options:
openai/gpt-6-astra Maximum number of tokens to generate
Required range:
1 <= x <= 128000Enable streaming response
Response
200 - application/json
Successful response
Chat completion response
Show child attributes
Show child attributes
Unix timestamp of when the completion was created
Unique identifier for the chat completion
The model used for the completion
Object type, typically 'chat.completion.chunk'
System fingerprint for the completion
Token usage information
Show child attributes
Show child attributes
